incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Huang (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CLOUDSTACK-1421) 4.1 must be able to run with both 1.6 and 1.7 JRE
Date Wed, 27 Feb 2013 02:31:11 GMT
Alex Huang created CLOUDSTACK-1421:
--------------------------------------

             Summary: 4.1 must be able to run with both 1.6 and 1.7 JRE
                 Key: CLOUDSTACK-1421
                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-1421
             Project: CloudStack
          Issue Type: Bug
      Security Level: Public (Anyone can view this level - this is the default.)
            Reporter: Alex Huang
            Assignee: Kelven Yang
            Priority: Blocker


Wido found the following error when compiling with 1.6 JDK.  We have to make sure that any
changes didnot bring in the need to deploy on 1.7 JRE.

> /home/employee/wido/repos/cloudstack/framework/ipc/src/org/apache/cl
> >>> oudstack/framework/rpc/RpcServerCallImpl.java:[51,58]
> >>>> type parameters of <T>T cannot be determined; no unique maximal

> >>>> instance exists for type variable T with upper bounds 
> >>>> T,java.lang.Object [ERROR]
> >>>
> /home/employee/wido/repos/cloudstack/framework/ipc/src/org/apache/cl
> >>> oudstack/framework/rpc/RpcClientCallImpl.java:[191,60]
> >>>> type parameters of <T>T cannot be determined; no unique maximal

> >>>> instance exists for type variable T with upper bounds 
> >>>> T,java.lang.Object
> >>>>
> >>>> So I'm running Ubuntu 12.04.1 on all my systems (laptop, desktop,
> >>>> servers) and this is the maven information:


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message